Download report

GET
/reports/{id}/download

Download a generated report as a CSV attachment. Return 404 when the report does not exist, belongs to another customer, is still generating, has failed or has expired.

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth access token.

Path Parameters

id*string

Identifier of the report.

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

OK - The CSV report, as an attachment named after the wallet and period.

response?filetext/csv
Formatbinary
curl -X GET "https://example.com/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/download" \  -H "X-Volt-Api-Version: 1"
"accountId,accountType,accountLabel,accountIdentifier,customerId,customerName,transactionId,transactionType,subType,transactionStatus,createdAt,updatedAt,bookedAt,paymentId,counterpartyAccountId,paymentReference,internalReference,amountCredit,amountDebit,currency,balanceAfter,paidAmount,paidCurrency,exchangeRateBase,exchangeRateCounter,exchangeRate,network,txHash,blockchainAddress,sourceAddress,channelId,beneficiaryName,beneficiaryIban,beneficiaryAccountNumber,riskLevel\n6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6,CRYPTO_WALLET,USDT wallet,,29e92b5a-325b-4489-97f4-4a28785e132f,Acme Ltd,,OPENING_BALANCE,,,2026-08-01T00:00:00Z,2026-08-01T00:00:00Z,2026-08-01T00:00:00Z,,,,,,,USDT,43.432465,,,,,,,,,,,,,,\n6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6,CRYPTO_WALLET,USDT wallet,,29e92b5a-325b-4489-97f4-4a28785e132f,Acme Ltd,5cc50031-659d-42b2-9fde-3f5be51bfb0f,PAYIN,CHANNEL,COMPLETED,2026-08-09T12:59:41Z,2026-08-09T13:01:35Z,2026-08-09T13:01:35Z,,,user-7mz5t0,,300,,USDT,343.432465,300,USDT,USDT,USDT,1,ETHEREUM,0xc1def1798aaa2b0d56feaef1f43daa4679f97736b928b6eefcec175c702ee9ca,0x16ecb48f0c669ba6985fbbcac981e79c76e5f059,0x029f6faa9b08c831ba9ced422bb1805c0e160c69,16d77016-fdbf-44f3-a3dc-24783f25f23f,,,,LOW\n6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6,CRYPTO_WALLET,USDT wallet,,29e92b5a-325b-4489-97f4-4a28785e132f,Acme Ltd,5cc50031-659d-42b2-9fde-3f5be51bfb0f,FEE,DEPOSIT_FEE,COMPLETED,2026-08-09T13:01:35Z,2026-08-09T13:01:35Z,2026-08-09T13:01:35Z,,,user-7mz5t0,,,3,USDT,340.432465,,,,,,ETHEREUM,,,,16d77016-fdbf-44f3-a3dc-24783f25f23f,,,,\n6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6,CRYPTO_WALLET,USDT wallet,,29e92b5a-325b-4489-97f4-4a28785e132f,Acme Ltd,,CLOSING_BALANCE,,,2026-09-01T00:00:00Z,2026-09-01T00:00:00Z,2026-09-01T00:00:00Z,,,,,,,USDT,340.432465,,,,,,,,,,,,,,\n"